Bug 1279374 - Should not rewrite node configuration of existing environment when adding new node
Should not rewrite node configuration of existing environment when adding new...
Status: CLOSED WONTFIX
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer (Show other bugs)
3.1.0
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Samuel Munilla
Gaoyun Pei
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-09 05:16 EST by Gaoyun Pei
Modified: 2017-08-24 16:48 EDT (History)
5 users (show)

See Also:
Fixed In Version: openshift-ansible-3.0.7-1.git.156.70ed54c.el7aos
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-24 16:48:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gaoyun Pei 2015-11-09 05:16:08 EST
Description of problem:
When trying to add a new node to a pre-installed env using atomic-openshift-installer, the installer changed the node configuration of installed nodes.

[root@openshift-v3 node]# diff /etc/origin/node/node-config.yaml /etc/origin/node/node-config.yaml.2015-11-09\@17:19:04~
8c8
<   format: openshift3/ose-${component}:${version}
---
>   format: registry.access.redhat.com/openshift3/ose-${component}:${version}
12c12
< networkPluginName: redhat/openshift-ovs-subnet
---
> networkPluginName: redhat/openshift-ovs-multitenant

The new node-config.yaml is using some default value the for the parameters.



Version-Release number of selected component (if applicable):
atomic-openshift-utils-3.0.7-1.git.131.21caa21.el7aos.noarch

How reproducible:
Always

Steps to Reproduce:
1. Prepare an ose env with oreg_url=registry.access.redhat.com/openshift3/ose-${component}:${version} and os_sdn_network_plugin_name=redhat/openshift-ovs-multitenant   
2. Add a new node to this env using 'atomic-openshift-installer install'
3. After installation of the node, check the configuration of preexisting nodes.

Actual results:
registry_url and sdn_network_plugin_name in node-config.yaml were changed.

Expected results:
Should not make changes to the currently running environment.

Additional info:
Comment 1 Samuel Munilla 2015-11-09 13:57:11 EST
https://github.com/openshift/openshift-ansible/pull/851 which should address this.
Comment 3 Gaoyun Pei 2015-11-10 03:46:02 EST
Verify this bug with atomic-openshift-utils-3.0.7-1.git.156.70ed54c.el7aos.noarch.

After adding new nodes to pre-installed env, the configuration on pre-installed env is not modified. And the new nodes have the default configuration.

Move this to VERIFIED.
Comment 4 Gaoyun Pei 2015-11-10 06:07:56 EST
Sorry for the previous comment, with further testing, found the installer will also rewrite the node configuration on the all-in-one node. 
When a pre-existing node also act as master, this host would be added into the node list in the inventory, and rewritten along with the new nodes.

Note You need to log in before you can comment on or make changes to this bug.